Quinta versión candidata de WordPress 5.4

¡La quinta versión candidata de WordPress 5.4 ya está disponible!

WordPress 5.4 está actualmente programado para lanzarse el 31 de marzo de 2020, y necesitamos tu ayuda para llegar allí; si aún no has probado 5.4, ¡ahora es el momento!

Puedes probar la quinta versión candidata de WordPress 5.4 de dos maneras:

Para obtener más detalles acerca de qué esperar en WordPress 5.4, consulta la entrada de la primera versión candidata.

Desarrolladores de plugins y temas

Prueba tus plugins y temas con WordPress 5.4 y actualiza la versión en «Probado hasta» (Tested up to) a 5.4 en el archivo Léeme. La prioridad en las pruebas es la compatibilidad. Si encuentras problemas de compatibilidad, asegúrate de publicarlos en los foros de soporte para que podamos resolverlos antes del lanzamiento final.

¡La Guía de campo de WordPress 5.4 también está disponible! Esta es tu fuente acerca de los detalles de todos los cambios importantes.

Como ayudar

¿Hablas otro idioma que no sea inglés? ¡Ayúdanos a traducir WordPress a más de 100 idiomas!

Si crees que has encontrado un error, puedes publicarlo en el área Alfa/Beta en los foros de soporte. ¡Nos encantaría saber de ti! Si te sientes cómodo escribiendo un informe de error reproducible, presenta uno en WordPress Trac, donde también puedes encontrar una lista de errores conocidos.

Este artículo es una traducción del original publicado por David Baumwald en el blog oficial de WordPress.org. Haz clic aquí para ir al artículo en inglés.

WordPress 4.9.6 con gestión de RGPD incluida

Se ha liberado WordPress 4.9.6 como versión de mantenimiento para solucionar 18 problemas detectados en la anterior versión, aunque se puede decir que siendo una versión menor es como una versión atípica ya que incluye también ajustes de «privacidad».

Hay que tener muy en cuenta que WordPress 4.9.6 con gestión de RGPD no es una versión menor, se corrigen cosas, como en todas las nuevas versiones, pero en esta se incorpora soporte al RGPD, por un lado para cumplir con esta norma entre WordPress.org y el usuario de WordPress (el que lo instala o gestiona) y por otro lado del propietario del sitio desarrollado con WordPress y el visitante.

Antes de actualizar es importante no solo realizar copia de seguridad (si tu actualización no es automática) sino tener también claro que algunos cambios aplicados en esta nueva versión pueden afectar a determinados Temas no adaptados por parte de sus autores.

Temas nativos de WordPress y child themes

Si tras actualizar a esta nueva versión 4.9.6 detectas problemas con el Tema que utilizas, comprueba primero en la web del autor de tu tema si dispone de algún parche o actualización para compatibilizar el tema con los cambios aplicados al núcleo de WordPress.

Los 8 últimos temas nativos de WordPress.org son compatibles y se han actualizado para admitir estos cambios. Los pies de página del sitio web mostrarán un enlace a la Política de Privacidad del sitio cuando se haya seleccionado uno, y el campo de «Aceptación de Cookies» de los comentarios ha sido rediseñado.

Los temas hijo (child themes) deben comprobarse para ver si necesitan de algún ajuste para que el enlace a Política de Privacidad en el footer sea visible.

Acerca de la RGPD en WordPress

En todos los blogs, grups y comunidades de habla hispana solo habla del tema de la RGPD, hay mucha incertidumbre al respecto y aunque no estemos en la unión europea es importante que sepas que si cualquier usuario residente de la unión europea hace uso de tu sitio web, este ley te afecta.

El nuevo Reglamento General de Protección de Datos (RGPD) en toda la Unión Europea y regula el tratamiento de datos entre usuarios de sitios web y los propietarios o administradores de los mismos y como estos últimos deben mostrar los avisos pertinentes para la aceptación de la «Política de Privacidad» y «Cookies» además de aplicar una gestión transparente sobre el uso que se da a la información de usuarios recopilada. Esto afecta también a los formularios de Contacto, Comentarios y cualquier otro (suscriptores, etc.) que se destine a recopilar u obtener datos del visitante.

Para cumplir mejor con estos requisitos, WordPress 4.9.6 incluye nuevas herramientas para poder gestionar el RGPD mediante la adición de una pestaña de Privacidad en la pantalla posterior a la actualización.

El mensaje informa a los usuarios que sus sitios pueden enviar datos a WordPress.org para actualizaciones de plugins y temas con un enlace a la política de privacidad de WordPress.org.

Pestaña de política de PrivacidadTambién incorpora la posibilidad de crear una página de Política de Privacidad desde el dashboard, en Configuración, Privacidad seleccionando una página existente o creando una nueva donde se mostrará el texto de la política. Este tipo de páginas de política de privacidad serán tan ubicuas como las páginas Acerca de gracias al RGPD, pero la información que se muestre será única para los sitios individuales.

WordPress incluirá una plantilla con sugerencias sobre qué información mostrar.

Para cumplir con el RGPD, los sitios web deben proporcionar una forma que permita a los usuarios obtener sus datos personales y solicitar que se eliminen.

WordPress 4.9.6 no incluye un botón que permita a los usuarios realizar estas acciones. En cambio, la política de privacidad de un sitio debe incluir información sobre dónde enviar tales solicitudes (LOPD).

Cuando un sitio WordPress con la versión 4.9.6 recibe una solicitud de exportación o eliminación de datos, el administrador del sitio pueden ir a Herramientas, Exportar datos personales, Eliminar datos personales y enviar a ese usuario una solicitud de verificación.

Al insertar el nombre de usuario o dirección de correo electrónico en el campo de solicitud de envío, el afectado recibirá un correo electrónico con un enlace de confirmación.

Una vez hecho clic, el sitio mostrará un aviso de Acción Confirmada y lo notificará al administrador del sitio y se cumplirá con la solicitud tan pronto como sea posible.

Cuando WordPress (la web con 4.9.6) termina de crear el archivo zip, envía un enlace al usuario. Por motivos de seguridad, el archivo se elimina automáticamente después de 72 horas.

De esta forma las instalaciones de WordPress que se actualicen a la versión 4.9.6 cumplirán con el RGPD sin necesidad de recurrir a plugins de terceros ni implementaciones manuales.

Para despejar tus dudas al respecto, dejamos una lista de enlaces que puedes consultar:

Guía rápida para cumplir el RGPD con WordPress

 

Cómo cumplir el RGPD en WooCommerce

 

Traducciones Actualizada al 100%

Algunos de los plugins mas utilizados fueron puestos al día, hoy en la madrugada: WooCommerce, MercadoPago para WooCommerce y Yoast SEO.

Pedimos disculpas por no tener disponible aún la versión 4.9 para la descarga pero hay un problema con generador de la Herramienta que genera el paquete de la Versión. Tan pronto se solucione, lo estaremos publicando por esta vía y el grupo de Facebook.

Mostrar errores de PHP en WordPress

Por defecto WordPress oculta los errores de PHP, y esto puede venirnos bien para evitar que posibles atacantes puedan ver dónde están localizados los errores, lo cual hace más difícil atacar el servidor. Sin embargo hay veces en las que conviene ver esos errores, por ejemplo a la hora de revisarlos para poder arreglarlos.

En esos casos es muy útil que se muestren los errores y para ello hay que deshabilitar ese comportamiento de WordPress, o mejor dicho, activar el modo debug de WordPress.

Abrimos el archivo wp-config.php y añadimos la siguiente línea:

  • define(‘WP_DEBUG’, true);

Sin aún así no se muestran los errores, añadimos esta otra línea a continuación de la anterior:

  • ini_set("display_errors", 1);

Si tienes algún problema y quieres pedir ayuda, no olvides que en el archivo wp-config.php se encuentra la contraseña y el usuario de la Base de Datos, así que ten cuidado con qué código vas a compartir.

Un tip adicional, si vas a estar revisando los errores por largo tiempo o te tomas mas tiempo del esperado, puedes aplicar este pequeño truco para que sólo tu puedas ver los errores.

  • Visita esta página, www.cualesmiip.com para averiguar tu número de IP.
  • En vez de colocar:
    define(‘WP_DEBUG’, true);
  • Coloca esta línea:
    if ($_SERVER['REMOTE_ADDR'] == ’0.0.0.0′) define(‘WP_DEBUG’,true);

    Reemplaza 0.0.0.0 por tu número de IP. Ahora sólo tu podrás ver los errores.